#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n;
    cin >> n;
    vector<int> vec(n);
    int p = 1;
    for(int i = 1;i < n;i+=2){
        vec[i] = p;
        p+=2;
    }
    p = 2 * n - 1;
    for(int i = 2;i < n;i+=2){
        vec[i] = p;
        p -= 2;
    }
    vec[0] = p;

    if(n % 2 == 0){
        for(int x : vec) cout << x << ' ';
        cout << '\n';
        for(int x : vec) cout << x+1 << ' ';
    }
    else if(n == 3) {
        cout << 4 << ' ' << 1 << ' ' << 5 << '\n';
        cout << 2 << ' ' << 6 << ' ' << 3;
    }
    else{
        vec[0]++;
        for(int x : vec) cout << x << ' ';
        cout << '\n';
        int q = 2 * n;
        for(int i = 1;i < n;i += 2){
            vec[i] = q;
            q -= 2;
        }
        q = 2;
        for(int i = 0;i < n;i+=2){
            vec[i] = q;
            q += 2;
        }
        vec[n-1]--;
        swap(vec[0], vec[n-3]);
        for(int x : vec) cout << x << ' ';
    }
    return 0;
}